Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 742061 - [abrt] kernel: WARNING: at net/mac80211/util.c:540 ieee80211_can_queue_work+0x3b/0x41 [mac80211](): TAINTED ---------W
[abrt] kernel: WARNING: at net/mac80211/util.c:540 ieee80211_can_queue_work+0...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:c0e12f4ae14ca60890d72a27bb1...
: Reopened
: 742700 756665 811292 842482 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-28 17:41 EDT by Jaroslav Škarvada
Modified: 2012-11-14 11:39 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 11:39:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (122.98 KB, text/plain)
2011-09-28 18:58 EDT, Jaroslav Škarvada
no flags Details

  None (edit)
Description Jaroslav Škarvada 2011-09-28 17:41:06 EDT
libreport version: 2.0.5.982
cmdline:        initrd=initrd0.img root=live:CDLABEL=PM-Test-Day-LiveCD rootfstype=auto ro liveimg quiet  rhgb rd_NO_LUKS rd_NO_MD rd_NO_DM   BOOT_IMAGE=vmlinuz0 
comment:        Suspend to RAM and resume while WPA2 Personal hidden SSID 802.11g network was connected.
event_log:      2011-09-28-17:29:50* (exited with 9)
kernel:         undefined
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
reason:         WARNING: at net/mac80211/util.c:540 ieee80211_can_queue_work+0x3b/0x41 [mac80211]()
smolt_data:     Unable to save UUID to /etc/smolt/hw-uuid.  Please run once as root.
time:           Wed Sep 28 17:25:49 2011

backtrace:
:WARNING: at net/mac80211/util.c:540 ieee80211_can_queue_work+0x3b/0x41 [mac80211]()
:Hardware name: 2241B48
:queueing ieee80211 work while going to suspend
:Modules linked in: ppdev parport_pc lp parport fuse 8021q fcoe garp libfcoe stp llc libfc scsi_transport_fc scsi_tgt rfcomm bnep nf_conntrack_ipv4 ip6t_REJECT nf_defrag_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables arc4 snd_hda_codec_conexant iwlagn snd_hda_intel snd_hda_codec snd_hwdep mac80211 snd_seq btusb snd_seq_device r852 sm_common thinkpad_acpi bluetooth cfg80211 uvcvideo nand nand_ids snd_pcm nand_ecc r592 e1000e i2c_i801 mtd memstick snd_timer iTCO_wdt videodev rfkill yenta_socket snd iTCO_vendor_support snd_page_alloc media microcode soundcore joydev uinput squashfs firewire_ohci firewire_core pata_acpi crc_itu_t sdhci_pci sdhci mmc_core ata_generic wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 0, comm: swapper Tainted: G        W   3.1.0-0.rc6.git0.3.fc16.i686 #1
:Call Trace:
: [<c043cce5>] warn_slowpath_common+0x7c/0x91
: [<f928dde7>] ? ieee80211_can_queue_work+0x3b/0x41 [mac80211]
: [<f928dde7>] ? ieee80211_can_queue_work+0x3b/0x41 [mac80211]
: [<c043cd85>] warn_slowpath_fmt+0x33/0x35
: [<f928dde7>] ieee80211_can_queue_work+0x3b/0x41 [mac80211]
: [<f928df42>] ieee80211_queue_work+0x14/0x2a [mac80211]
: [<f927e2bc>] ieee80211_sta_bcn_mon_timer+0x24/0x26 [mac80211]
: [<c04482da>] run_timer_softirq+0x14b/0x221
: [<f927e298>] ? ieee80211_sta_conn_mon_timer+0x26/0x26 [mac80211]
: [<c0441ef0>] __do_softirq+0xa2/0x17b
: [<c0441e4e>] ? ftrace_define_fields_irq_handler_entry+0x71/0x71
: <IRQ>  [<c044214c>] ? irq_exit+0x45/0x98
: [<c0418c8e>] ? smp_apic_timer_interrupt+0x69/0x76
: [<c0811b09>] ? apic_timer_interrupt+0x31/0x38
: [<c062a440>] ? arch_local_irq_enable+0x5/0xb
: [<c062aca8>] ? acpi_idle_enter_c1+0x36/0xa5
: [<c062afb1>] ? acpi_idle_enter_simple+0x35/0x13d
: [<c0721bc1>] ? cpuidle_idle_call+0xc7/0x14a
: [<c0401f87>] ? cpu_idle+0x8d/0xb1
: [<c07f3952>] ? rest_init+0x62/0x64
: [<c0ae9777>] ? start_kernel+0x34d/0x353
: [<c0ae91b3>] ? loglevel+0x18/0x18
: [<c0ae90a9>] ? i386_start_kernel+0xa9/0xaf
Comment 1 Jaroslav Škarvada 2011-09-28 18:55:35 EDT
smolt profile: http://www.smolts.org/client/show/pub_2a35d874-f0c8-4011-b746-e461d7adf07d
Comment 2 Jaroslav Škarvada 2011-09-28 18:58:43 EDT
Created attachment 525412 [details]
dmesg
Comment 3 John W. Linville 2011-11-07 14:05:28 EST
*** Bug 742700 has been marked as a duplicate of this bug. ***
Comment 4 John W. Linville 2011-11-07 14:49:59 EST
Looks like iwl5100: "queueing ieee80211 work while going to suspend"...
Comment 5 Josh Boyer 2011-12-06 16:02:05 EST
*** Bug 756665 has been marked as a duplicate of this bug. ***
Comment 6 Dave Jones 2012-03-22 12:54:34 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 7 Dave Jones 2012-03-22 12:58:04 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 8 Dave Jones 2012-03-22 13:09:28 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 9 Dave Jones 2012-04-10 12:48:04 EDT
*** Bug 811292 has been marked as a duplicate of this bug. ***
Comment 10 Jaroslav Škarvada 2012-04-23 12:24:31 EDT
I am unable to reproduce this on my stable system (f16 x86_64), thus I think we could close this.
Comment 11 Stanislaw Gruszka 2012-04-24 03:02:36 EDT
Closing per above comment.
Comment 12 Paul Bolle 2012-05-31 08:48:11 EDT
0) I'm still able to trigger (something very similar to) this with kernel 3.3.7-1.fc16. To trigger it I suspended and resumed in a loop, using a command like this:
     sudo bash -c 'for i in {1..$END}; do rtcwake -m mem -s 60; sleep 60; done'

This time the twelfth loop finally hit it.

(There are more instances of this issue in the logs. The oldest one still archived was on v3.3.4. But I wanted to reproduce this on a Fedora supplied kernel, not something built locally on top of the Fedora kernel sources.)

1) While suspending this generates:
WARNING: at net/mac80211/util.c:538 ieee80211_can_queue_work+0x3a/0x40 [mac80211]()
Hardware name: 76735GG
queueing ieee80211 work while going to suspend
Modules linked in: fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_tftp nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_state nf_conntrack ip6_tables btusb bluetooth snd_hda_codec_analog arc4 vhost_net macvtap macvlan tun iwl4965 snd_hda_intel iwlegacy snd_hda_codec mac80211 snd_hwdep virtio_net snd_seq snd_seq_device cfg80211 snd_pcm thinkpad_acpi e1000e snd_timer iTCO_wdt i2c_i801 kvm_intel tpm_tis tpm snd kvm iTCO_vendor_support tpm_bios uinput binfmt_misc microcode snd_page_alloc rfkill soundcore sdhci_pci sdhci mmc_core firewire_ohci firewire_core crc_itu_t yenta_socket i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
Pid: 0, comm: swapper/0 Not tainted 3.3.7-1.fc16.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff81057adf>] warn_slowpath_common+0x7f/0xc0
 [<ffffffff81057bd6>] warn_slowpath_fmt+0x46/0x50
 [<ffffffffa03212ba>] ieee80211_can_queue_work+0x3a/0x40 [mac80211]
 [<ffffffffa03216c0>] ieee80211_queue_work+0x20/0x40 [mac80211]
 [<ffffffffa0307b17>] ieee80211_sta_timer+0x37/0x40 [mac80211]
 [<ffffffff810670ec>] run_timer_softirq+0x12c/0x3b0
 [<ffffffffa0307ae0>] ? ieee80211_sta_bcn_mon_timer+0x40/0x40 [mac80211]
 [<ffffffff810e3c88>] ? handle_irq_event_percpu+0xa8/0x220
 [<ffffffff8105f0c8>] __do_softirq+0xb8/0x230
 [<ffffffff810e3e50>] ? handle_irq_event+0x50/0x70
 [<ffffffff815fd9dc>] call_softirq+0x1c/0x30
 [<ffffffff81016455>] do_softirq+0x65/0xa0
 [<ffffffff8105f4de>] irq_exit+0x9e/0xc0
 [<ffffffff815fe243>] do_IRQ+0x63/0xe0
 [<ffffffff815f47ee>] common_interrupt+0x6e/0x6e
 <EOI>  [<ffffffff81343e8e>] ? arch_local_irq_enable+0x8/0xd
 [<ffffffff8108df8a>] ? sched_clock_idle_wakeup_event+0x1a/0x20
 [<ffffffff81344ab6>] acpi_idle_enter_bm+0x227/0x26b
 [<ffffffff814a4621>] cpuidle_idle_call+0xc1/0x280
 [<ffffffff8101322f>] cpu_idle+0xcf/0x120
 [<ffffffff815d289e>] rest_init+0x72/0x74
 [<ffffffff81cf0bf8>] start_kernel+0x3ba/0x3c5
 [<ffffffff81cf0346>] x86_64_start_reservations+0x131/0x135
 [<ffffffff81cf0140>] ? early_idt_handlers+0x140/0x140
 [<ffffffff81cf044c>] x86_64_start_kernel+0x102/0x111

2) After which I get on resume:
WARNING: at net/mac80211/util.c:538 ieee80211_can_queue_work+0x3a/0x40 [mac80211]()
Hardware name: 76735GG
queueing ieee80211 work while going to suspend
Modules linked in: fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_tftp nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_state nf_conntrack ip6_tables btusb bluetooth snd_hda_codec_analog arc4 vhost_net macvtap macvlan tun iwl4965 snd_hda_intel iwlegacy snd_hda_codec mac80211 snd_hwdep virtio_net snd_seq snd_seq_device cfg80211 snd_pcm thinkpad_acpi e1000e snd_timer iTCO_wdt i2c_i801 kvm_intel tpm_tis tpm snd kvm iTCO_vendor_support tpm_bios uinput binfmt_misc microcode snd_page_alloc rfkill soundcore sdhci_pci sdhci mmc_core firewire_ohci firewire_core crc_itu_t yenta_socket i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
Pid: 2857, comm: rtcwake Tainted: G        W    3.3.7-1.fc16.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff81057adf>] warn_slowpath_common+0x7f/0xc0
 [<ffffffff81057bd6>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff810728e0>] ? __queue_work+0xe0/0x3e0
 [<ffffffffa03212ba>] ieee80211_can_queue_work+0x3a/0x40 [mac80211]
 [<ffffffffa03216c0>] ieee80211_queue_work+0x20/0x40 [mac80211]
 [<ffffffffa0307acf>] ieee80211_sta_bcn_mon_timer+0x2f/0x40 [mac80211]
 [<ffffffff810670ec>] run_timer_softirq+0x12c/0x3b0
 [<ffffffff812c9cc4>] ? timerqueue_add+0x74/0xc0
 [<ffffffffa0307aa0>] ? ieee80211_sta_conn_mon_timer+0x40/0x40 [mac80211]
 [<ffffffff8107db69>] ? enqueue_hrtimer+0x39/0xc0
 [<ffffffff810a51f5>] ? ktime_get+0x65/0xe0
 [<ffffffff8105f0c8>] __do_softirq+0xb8/0x230
 [<ffffffff810ac334>] ? tick_program_event+0x24/0x30
 [<ffffffff815fd9dc>] call_softirq+0x1c/0x30
 [<ffffffff81016455>] do_softirq+0x65/0xa0
 [<ffffffff8105f4de>] irq_exit+0x9e/0xc0
 [<ffffffff815fe32e>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff815fcfde>] apic_timer_interrupt+0x6e/0x80
 <EOI>  [<ffffffff810673fe>] ? try_to_del_timer_sync+0x8e/0x130
 [<ffffffff812d394a>] ? ioread8+0x3a/0x40
 [<ffffffffa01d02f9>] ? get_burstcount+0x69/0xa0 [tpm_tis]
 [<ffffffffa01d025f>] check_locality+0x2f/0x60 [tpm_tis]
 [<ffffffffa01d08c6>] tpm_tis_send_data+0x26/0x1c0 [tpm_tis]
 [<ffffffffa01d0a87>] tpm_tis_send+0x27/0xb0 [tpm_tis]
 [<ffffffffa01c82a6>] tpm_transmit+0x76/0x210 [tpm]
 [<ffffffffa01c846e>] transmit_cmd+0x2e/0x90 [tpm]
 [<ffffffffa01c864f>] __tpm_pcr_read+0x5f/0xa0 [tpm]
 [<ffffffff810887a6>] ? ttwu_do_activate.constprop.37+0x66/0x70
 [<ffffffff81088d5e>] ? try_to_wake_up+0x1be/0x2b0
 [<ffffffff8107fbd2>] ? down_timeout+0x42/0x70
 [<ffffffff8107fb6f>] ? up+0x2f/0x50
 [<ffffffff8134011b>] ? acpi_ut_acquire_mutex+0x50/0x90
 [<ffffffff8131c364>] ? acpi_os_signal_semaphore+0x21/0x2c
 [<ffffffff813401b9>] ? acpi_ut_release_mutex+0x5e/0x65
 [<ffffffff81337939>] ? acpi_get_data+0x6c/0x78
 [<ffffffffa01c925e>] tpm_do_selftest+0x6e/0xd0 [tpm]
 [<ffffffffa01d01e0>] tpm_tis_pnp_resume+0x40/0x60 [tpm_tis]
 [<ffffffff8134d78b>] pnp_bus_resume+0x5b/0x70
 [<ffffffff8134d730>] ? pnp_device_shutdown+0x30/0x30
 [<ffffffff813a8959>] dpm_run_callback+0x59/0xa0
 [<ffffffff813a8d8a>] device_resume+0x10a/0x240
 [<ffffffff813a9af1>] dpm_resume+0x131/0x250
 [<ffffffff813a9e35>] dpm_resume_end+0x15/0x30
 [<ffffffff8109cded>] suspend_devices_and_enter+0x13d/0x300
 [<ffffffff8109d118>] enter_state+0x168/0x180
 [<ffffffff8109ba37>] state_store+0xb7/0x130
 [<ffffffff812c29bf>] kobj_attr_store+0xf/0x30
 [<ffffffff811eeecf>] sysfs_write_file+0xef/0x170
 [<ffffffff81181523>] vfs_write+0xb3/0x180
 [<ffffffff8118184a>] sys_write+0x4a/0x90
 [<ffffffff815fc529>] system_call_fastpath+0x16/0x1b

3) Perhaps this issue should be reopened.
Comment 13 Stanislaw Gruszka 2012-05-31 09:10:39 EDT
Better check incoming 3.4 ...
Comment 14 Paul Bolle 2012-05-31 14:26:10 EDT
(In reply to comment #13)
> Better check incoming 3.4 ...

0) Sure, I hope to do that when some v3.4 based kernel hits F16.

1) In the mean time, to me it does look like this issue was closed too early.
Comment 15 Paul Bolle 2012-06-25 18:03:01 EDT
(In reply to comment #13)
> Better check incoming 3.4 ...

0) I'm still able to trigger this (while stress testing suspend and resume in a loop) in 3.4.2-1.fc16.x86_64 (though with a small stack of local patches, hence local0 in the output).

1) While suspending I got:
WARNING: at net/mac80211/util.c:538 ieee80211_can_queue_work+0x3a/0x40 [mac80211]()
Hardware name: 76735GG
queueing ieee80211 work while going to suspend
Modules linked in: tcp_lp fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core rfcomm ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_tftp ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack btusb bluetooth snd_hda_codec_analog arc4 iwl4965 iwlegacy mac80211 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm thinkpad_acpi e1000e cfg80211 vhost_net macvtap macvlan tun kvm_intel kvm snd_timer snd_page_alloc iTCO_wdt snd i2c_i801 rfkill coretemp tpm_tis tpm iTCO_vendor_support uinput soundcore tpm_bios binfmt_misc microcode yenta_socket firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
Pid: 0, comm: swapper/1 Not tainted 3.4.2-1.local0.fc16.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff810579df>] warn_slowpath_common+0x7f/0xc0
 [<ffffffff81057ad6>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff8108d5f8>] ? sched_clock_cpu+0xa8/0x110
 [<ffffffff810931e1>] ? trigger_load_balance+0x61/0x2d0
 [<ffffffffa035ce8a>] ieee80211_can_queue_work+0x3a/0x40 [mac80211]
 [<ffffffffa035d290>] ieee80211_queue_work+0x20/0x40 [mac80211]
 [<ffffffffa0371ba7>] ieee80211_sta_timer+0x37/0x40 [mac80211]
 [<ffffffff8106690c>] run_timer_softirq+0x12c/0x3b0
 [<ffffffff812c7ef4>] ? timerqueue_add+0x74/0xc0
 [<ffffffffa0371b70>] ? ieee80211_sta_bcn_mon_timer+0x40/0x40 [mac80211]
 [<ffffffff8107cf79>] ? enqueue_hrtimer+0x39/0xc0
 [<ffffffff810a4755>] ? ktime_get+0x65/0xe0
 [<ffffffff8105ee78>] __do_softirq+0xb8/0x230
 [<ffffffff810abc94>] ? tick_program_event+0x24/0x30
 [<ffffffff8160171c>] call_softirq+0x1c/0x30
 [<ffffffff81016215>] do_softirq+0x65/0xa0
 [<ffffffff8105f28e>] irq_exit+0x9e/0xc0
 [<ffffffff8160205e>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff81600dca>] apic_timer_interrupt+0x6a/0x70
 <EOI>  [<ffffffff81343657>] ? arch_local_irq_enable+0x8/0xd
 [<ffffffff8108d7aa>] ? sched_clock_idle_wakeup_event+0x1a/0x20
 [<ffffffff813442e1>] acpi_idle_enter_bm+0x227/0x26b
 [<ffffffff814a7129>] cpuidle_enter+0x19/0x20
 [<ffffffff814a773c>] cpuidle_idle_call+0xac/0x2a0
 [<ffffffff8101d61f>] cpu_idle+0xcf/0x120
 [<ffffffff815e6df2>] start_secondary+0x260/0x262

2) And at the following resume I get:
WARNING: at net/mac80211/util.c:538 ieee80211_can_queue_work+0x3a/0x40 [mac80211]()
Hardware name: 76735GG
queueing ieee80211 work while going to suspend
Modules linked in: tcp_lp fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core rfcomm ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_tftp ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack btusb bluetooth snd_hda_codec_analog arc4 iwl4965 iwlegacy mac80211 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm thinkpad_acpi e1000e cfg80211 vhost_net macvtap macvlan tun kvm_intel kvm snd_timer snd_page_alloc iTCO_wdt snd i2c_i801 rfkill coretemp tpm_tis tpm iTCO_vendor_support uinput soundcore tpm_bios binfmt_misc microcode yenta_socket firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
Pid: 3677, comm: kworker/u:16 Tainted: G        W    3.4.2-1.local0.fc16.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff810579df>] warn_slowpath_common+0x7f/0xc0
 [<ffffffff81057ad6>] warn_slowpath_fmt+0x46/0x50
 [<ffffffffa035ce8a>] ieee80211_can_queue_work+0x3a/0x40 [mac80211]
 [<ffffffffa035d290>] ieee80211_queue_work+0x20/0x40 [mac80211]
 [<ffffffffa0371b5f>] ieee80211_sta_bcn_mon_timer+0x2f/0x40 [mac80211]
 [<ffffffff8106690c>] run_timer_softirq+0x12c/0x3b0
 [<ffffffffa0371b30>] ? ieee80211_sta_conn_mon_timer+0x40/0x40 [mac80211]
 [<ffffffff810a4755>] ? ktime_get+0x65/0xe0
 [<ffffffff8105ee78>] __do_softirq+0xb8/0x230
 [<ffffffff810abc94>] ? tick_program_event+0x24/0x30
 [<ffffffff8160171c>] call_softirq+0x1c/0x30
 [<ffffffff81016215>] do_softirq+0x65/0xa0
 [<ffffffff8105f28e>] irq_exit+0x9e/0xc0
 [<ffffffff8160205e>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff81600dca>] apic_timer_interrupt+0x6a/0x70
 <EOI>  [<ffffffffa0020380>] ? drm_clflush_pages+0x80/0xe0 [drm]
 [<ffffffffa0088b6a>] i915_gem_clflush_object+0x4a/0xb0 [i915]
 [<ffffffffa00908a8>] i915_gem_restore_gtt_mappings+0x58/0x90 [i915]
 [<ffffffffa0076234>] i915_drm_thaw+0x154/0x170 [i915]
 [<ffffffffa00764fe>] i915_resume+0x4e/0x80 [i915]
 [<ffffffffa0076546>] i915_pm_resume+0x16/0x20 [i915]
 [<ffffffff812e66e5>] pci_pm_resume+0x75/0xd0
 [<ffffffff812e6670>] ? pci_pm_thaw+0xa0/0xa0
 [<ffffffff813a8d29>] dpm_run_callback+0x59/0xa0
 [<ffffffff813a915a>] device_resume+0x10a/0x240
 [<ffffffff813a92b1>] async_resume+0x21/0x50
 [<ffffffff81080b13>] async_run_entry_fn+0x83/0x160
 [<ffffffff81080a90>] ? async_schedule+0x20/0x20
 [<ffffffff81080a90>] ? async_schedule+0x20/0x20
 [<ffffffff8107362e>] process_one_work+0x11e/0x470
 [<ffffffff8107470f>] worker_thread+0x15f/0x360
 [<ffffffff810745b0>] ? manage_workers+0x230/0x230
 [<ffffffff810791a3>] kthread+0x93/0xa0
 [<ffffffff81601624>] kernel_thread_helper+0x4/0x10
 [<ffffffff81079110>] ? kthread_freezable_should_stop+0x70/0x70
 [<ffffffff81601620>] ? gs_change+0x13/0x13

3) What can I do to dig further into this issue?
Comment 16 Stanislaw Gruszka 2012-07-24 09:12:23 EDT
*** Bug 842482 has been marked as a duplicate of this bug. ***
Comment 17 Dave Jones 2012-10-23 11:39:52 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 18 Justin M. Forbes 2012-11-14 11:39:03 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.